Name:           pinfo
Version:        0.6.13
Release:        %mkrel 7
Summary:        A lynx-style info and man reader
Source:         https://github.com/baszoetekouw/pinfo/archive/v%{version}.tar.gz
Patch0:         pinfo-0.6.13-gcc10.patch
URL:            https://github.com/baszoetekouw/pinfo
Group:          Documentation
License:        GPLv2+

BuildRequires:	gettext-devel
BuildRequires:	ncurses-devel
BuildRequires:	readline-devel
BuildRequires:	texinfo

%description
Pinfo is similar in use to lynx. It has similar key movements, and gives
similar intuition. You just move across info nodes, and select links,
follow them... Well, you know how it is when you view html with lynx. :)
It supports as many colors as it could.

%prep
%autosetup -a 0 -p1

%build
./autogen.sh
%configure
%make_build WFLAGS=""

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc README.md NEWS COPYING AUTHORS
%{_mandir}/man1/pinfo.1*
%{_bindir}/pinfo
%config(noreplace) %{_sysconfdir}/pinforc
%{_infodir}/pinfo.info*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.6.13-7.mga10
+ Revision: 2196361
- Mageia 10 Mass Rebuild

* Fri Mar 18 2022 umeabot <umeabot> 0.6.13-6.mga9
+ Revision: 1797812
- Mageia 9 Mass Rebuild

* Fri Sep 18 2020 joequant <joequant> 0.6.13-5.mga8
+ Revision: 1628385
- fix build
+ ovitters <ovitters>
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Wed Feb 19 2020 umeabot <umeabot> 0.6.13-3.mga8
+ Revision: 1542552
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jan 05 2020 tv <tv> 0.6.13-2.mga8
+ Revision: 1476627
- rebuild for new readline

* Wed Oct 30 2019 zezinho <zezinho> 0.6.13-1.mga8
+ Revision: 1456666
- new upstream - version 0.6.13 - add texinfo BR

* Sun Sep 23 2018 umeabot <umeabot> 0.6.8-2.mga7
+ Revision: 1300282
- Mageia 7 Mass Rebuild

* Mon Nov 06 2017 zezinho <zezinho> 0.6.8-1.mga7
+ Revision: 1176078
- imported package pinfo

